Skip to main content
`Ctrl`+`K`

# SVDGetConvergedReason

Gets the reason why the `SVDSolve()` iteration was stopped.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDGetConvergedReason(SVD svd,SVDConvergedReason *reason)

Not Collective

## Input Parameter

- svd - the singular value solver context

## Output Parameter

- reason - negative value indicates diverged, positive value converged, see `SVDConvergedReason` for the possible values

## Options Database Key

- -svd_converged_reason - print reason for convergence/divergence, and number of iterations

## Note

If this routine is called before or doing the `SVDSolve()` the value of `SVD_CONVERGED_ITERATING` is returned.

## See Also

SVD: Singular Value Decomposition, `SVDSetTolerances()`, `SVDSolve()`, `SVDConvergedReason`

## Level

intermediate

## Location

src/svd/interface/svdsolve.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages